<?php
error_reporting(E_ALL);
ini_set('display_errors', '1');
session_start();
include("class.phpmailer.php");
require_once("global_config.php");
require_once("check_input.php");
require_once("SimpleImage.php");
include("check_login.php");

require_once($global['root-model']."Access.php");
$obj_access = new Access();

require_once($global['root-model']."Crud.php");
$obj_cruds = new Crud();

$acsg_shipment_outbound = $obj_access->check_access($obj_cruds,$_SESSION['admin_id'],'open_shipment_outbound');
$acsg_shipment_inbound = $obj_access->check_access($obj_cruds,$_SESSION['admin_id'],'open_shipment_inbound');
$acsg_inventory = $obj_access->check_access($obj_cruds,$_SESSION['admin_id'],'open_inventory');
$acsg_quarantine = $obj_access->check_access($obj_cruds,$_SESSION['admin_id'],'open_quarantine');
$acsg_admin = $obj_access->check_access($obj_cruds,$_SESSION['admin_id'],'open_admin');
$acsg_crud_role = $obj_access->check_access($obj_cruds,$_SESSION['admin_id'],'crud_role_admin');
$acsg_brand = $obj_access->check_access($obj_cruds,$_SESSION['admin_id'],'open_module_brand');
$acsg_category = $obj_access->check_access($obj_cruds,$_SESSION['admin_id'],'open_module_category');
$acsg_storage = $obj_access->check_access($obj_cruds,$_SESSION['admin_id'],'open_module_storage');
$acsg_pallet = $obj_access->check_access($obj_cruds,$_SESSION['admin_id'],'open_module_pallet');
$acsg_pallet_list = $obj_access->check_access($obj_cruds,$_SESSION['admin_id'],'open_module_pallet_list');
$acsg_report_inventory = $obj_access->check_access($obj_cruds,$_SESSION['admin_id'],'open_module_report_inventory');
$acsg_report_shipment = $obj_access->check_access($obj_cruds,$_SESSION['admin_id'],'open_module_report_shipment');

if(isset($_SESSION['order_token'])){
	$order_token = $_SESSION['order_token'];
} else {
	$_SESSION['order_token'] = generate_order_token();
}
?> 